MailcrateDocs
Segments

Get a segment

GET
/public/segment/{id}

Requires the segment:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
name*string
type*string
Value in"dynamic""static"
memberCount*number
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X GET 'https://api.mailcrate.io/public/segment/string' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "name": "string",  "type": "dynamic",  "memberCount": 0,  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}